"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var base_gtin_reader_1 = require("../../readers/base-gtin.reader");
var REG = /[0-9]/;
var SYMBOLOGY = 'MYSYMBOLOGY';
var TestReader = /** @class */ (function (_super) {
    __extends(TestReader, _super);
    function TestReader(readerConfig) {
        return _super.call(this, SYMBOLOGY, REG, readerConfig) || this;
    }
    TestReader.prototype.checkDigit = function (value) {
        return _super.prototype.checkDigit.call(this, value);
    };
    TestReader.prototype.testParseValues = function (values) {
        return _super.prototype.parseValues.call(this, values);
    };
    return TestReader;
}(base_gtin_reader_1.BaseGtinReader));
exports.TestReader = TestReader;
describe('baseGtinReader', function () {
    var config = {};
    var classUnderTest;
    beforeEach(function () {
        classUnderTest = new TestReader(config);
    });
    describe('decode', function () {
        test('should return error for invalid value', function () {
            var actual = classUnderTest.decode('ii');
            expect(actual.errorMessage).toBe('Invalid Value');
        });
        test('should set symbology on result', function () {
            var actual = classUnderTest.decode('11111');
            expect(actual.symbology).toBe(SYMBOLOGY);
        });
        test('should set rawValue on result', function () {
            var val = '11111';
            var actual = classUnderTest.decode(val);
            expect(actual.rawValue).toBe(val);
        });
        test('should set checkDigit on result', function () {
            var val = '11111';
            var actual = classUnderTest.decode(val);
            expect(actual.checkDigit).toBe(1);
        });
    });
    describe('checkDigit', function () {
        test('should return last character', function () {
            var actual = classUnderTest.checkDigit('123456');
            expect(actual).toBe(6);
        });
    });
});
//# sourceMappingURL=base-gtin.reader.spec.js.map