import { IBarcodeValue, IReaderConfiguration } from '../models';
export declare abstract class BaseReader {
    protected _symbology: string;
    protected _validationExpression: RegExp;
    protected _readerConfig: IReaderConfiguration;
    constructor(_symbology: string, _validationExpression: RegExp, _readerConfig: IReaderConfiguration);
    readonly configuration: IReaderConfiguration;
    readonly symbology: string;
    readonly validationExpression: RegExp;
    validate(value: string): boolean;
    abstract decode(value: string): IBarcodeValue;
    protected tryValidate(value: string): void;
}
